NCRSC(4) | Device Drivers Manual (mvme68k) | NCRSC(4)

# NAME

`ncrsc` —
NCR 53c710 SCSI I/O Processor

# SYNOPSIS

`ncrsc0 at pcctwo? ipl 2`

# DESCRIPTION

The `ncrsc` driver provides an abstraction layer between the SCSI hardware fitted to Motorola MVME167 and MVME177 single board computers (NCR73C710), and the machine independent SCSI drivers described in scsibus(4).

In addition to sending the required SCSI commands to target devices on the SCSI bus, the `ncrsc` driver deals with DMA, device interrupts, sync/async negotiation and target disconnects/reconnects.

# DIAGNOSTICS

Too many to mention.

# SEE ALSO

mvme68k/pcctwo(4), scsibus(4)

# BUGS

The current `ncrsc` driver should be obsoleted and replaced with a machine independent version.

February 17, 2017 | NetBSD 9.0